Skip to main content
GET
/
public
/
PostTrade
Post-Trade Data
curl --request GET \
  --url https://api.kraken.com/0/public/PostTrade
{
  "result": {
    "last_ts": "2024-05-30T12:34:56.123456789Z",
    "count": 500,
    "trades": [
      {
        "trade_id": "TGBB7L-HT5LX-J3BZ4A",
        "price": "102002.1",
        "quantity": "1.24",
        "symbol": "BTC/USD",
        "description": "Bitcoin / US Dollars",
        "base_asset": "BTC",
        "base_notation": "UNIT",
        "quote_asset": "USD",
        "quote_notation": "MONE",
        "trade_venue": "PGSL",
        "trade_ts": "2024-05-30T12:34:56.123456789Z",
        "publication_venue": "PGSL",
        "publication_ts": "2024-05-30T12:34:56.123456789Z"
      }
    ]
  },
  "error": [
    "EGeneral:Invalid arguments"
  ]
}

Documentation Index

Fetch the complete documentation index at: https://kraken-sandbox.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Query Parameters

symbol
string

Filter the results to the currency pair.

from_ts
string<ISO 8601>

Filter the results to include the trades after this timestamp.

to_ts
string<ISO 8601>

Filter the results to include the trades before or at this timestamp.

count
integer
default:1000

The maximum number of trades to return.

Required range: 1 <= x <= 1000

Response

200 - application/json

Post-trade data retrieved.

A list of trades. A maximum of count trades will be returned in a single query, as specified in the query parameters.

result
object
error
string[]

Kraken API error